<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_32155ccb342f19904309304" . "1c1b3bb57" => base64_decode("ZnJvbV9mb2xk" . "ZXJfaWQ="), "_80e7ee4" . "3fdf8381" . "01a2303a" . "7b4a50ef" . "c" => base64_decode("dG9fZm9sZGVyX2l" . "k"));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_32155ccb342f199043093041c1b3bb5" . "7"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_80e7ee43fdf8381" . "01a2303a7b4a50ef" . "c"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}